Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdgf.chunks
Class Chunk

    java.lang.Object
      org.apache.poi.hdgf.chunks.Chunk

    public final class Chunk

extends java.lang.Object

Base of all chunks, which hold data, flags etc

Nested Class Summary
`static class` | `Chunk.BlockOffsetCommand` A special kind of command that holds the offset to a block
`static class` | `Chunk.Command` A command in the visio file.

Constructor Summary
`Chunk(ChunkHeader header, ChunkTrailer trailer, ChunkSeparator separator, byte[] contents)`

Method Summary
`byte[]` | `_getContents()`
`ChunkFactory.CommandDefinition[]` | `getCommandDefinitions()` Gets the command definitions, which define and describe much of the data held by the chunk.
`Chunk.Command[]` | `getCommands()`
`ChunkHeader` | `getHeader()`
`java.lang.String` | `getName()` Get the name of the chunk, as found from the CommandDefinitions
`int` | `getOnDiskSize()` Returns the size of the chunk, including any headers, trailers and separators.
`ChunkSeparator` | `getSeparator()` Gets the separator between this chunk and the next, if it exists
`ChunkTrailer` | `getTrailer()` Gets the trailer for this chunk, if it exists

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Chunk

    public Chunk(ChunkHeader header,
                 ChunkTrailer trailer,
                 ChunkSeparator separator,
                 byte[] contents)

Method Detail

### _getContents

    public byte[] _getContents()

### getHeader

    public ChunkHeader getHeader()

### getSeparator

    public ChunkSeparator getSeparator()

  Gets the separator between this chunk and the next, if it exists

### getTrailer

    public ChunkTrailer getTrailer()

  Gets the trailer for this chunk, if it exists

### getCommandDefinitions

    public ChunkFactory.CommandDefinition[] getCommandDefinitions()

  Gets the command definitions, which define and describe much of the data held by the chunk.

### getCommands

    public Chunk.Command[] getCommands()

### getName

    public java.lang.String getName()

  Get the name of the chunk, as found from the CommandDefinitions

### getOnDiskSize

    public int getOnDiskSize()

  Returns the size of the chunk, including any headers, trailers and separators.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD